Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.util
Class PropertyEventDispatcher

    java.lang.Object
      org.jivesoftware.util.PropertyEventDispatcher

    public class PropertyEventDispatcher

extends Object

Dispatches property events. Each event has a `type` and optional parameters, as follows:

Event Type | Extra Params
--- | ---
`property_set` | A param named `value` that has the value of the property set.
`property_deleted` | None
`xml_property_set` | A param named `value` that has the value of the property set.
`xml_property_deleted` | None

Author:
  Matt Tucker

Nested Class Summary
`static class` | `PropertyEventDispatcher.EventType` Represents valid event types.

Method Summary
`static void` | `addListener(PropertyEventListener listener)` Registers a listener to receive events.
`static void` | `dispatchEvent(String property, PropertyEventDispatcher.EventType eventType, Map<String,Object> params)` Dispatches an event to all listeners.
`static void` | `removeListener(PropertyEventListener listener)` Unregisters a listener to receive events.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addListener

    public static void addListener(PropertyEventListener listener)

  Registers a listener to receive events.

  Parameters:
    `listener` - the listener.

### removeListener

    public static void removeListener(PropertyEventListener listener)

  Unregisters a listener to receive events.

  Parameters:
    `listener` - the listener.

### dispatchEvent

    public static void dispatchEvent(String property,
                                     PropertyEventDispatcher.EventType eventType,
                                     Map<String,Object> params)

  Dispatches an event to all listeners.

  Parameters:
    `property` - the property.
    `eventType` - the event type.
    `params` - event parameters.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.